module.exports = assureConnection;

function assureConnection (state, next) {
  state.couch.request({
    path: ''
  }, function (error) {
    if (error) {
      state.log(['bootstrap', 'error'], error);
      state.log(['bootstrap'], 'trying again in 3 seconds');
      setTimeout(assureConnection.bind(null, state, next), 3000);
      return;
    }
    state.log(['bootstrap'], 'successfully connected to ' + state.couch.config.url);
    next();
  });
}
