module.exports = customLog;

var moment = require('moment');

// simulate good-console's log format
// https://github.com/hapijs/good-console
function customLog (tags, data) {
  var now = moment().format('YYMMDD/HHmmss.SSS');
  tags = (Array.isArray(tags) ? tags : [tags]);

  console.log('%s, [%s], data: %s', now, tags.join(','), data || '(none)');
}
